# Class ImageContent

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents image content that is part of a message.

    public class ImageContent : Content

Inheritance
  object
  Content
  ImageContent

Inherited Members
  Content.Type
  Content.CacheControl
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### ImageContent(Source)

Initializes a new instance of the ImageContent class.

    public ImageContent(Source source)

#### Parameters

`source` Source

  The source of the image.

#### Exceptions

ArgumentNullException

  Thrown when the source is null.

### ImageContent(Source, CacheControl)

Initializes a new instance of the ImageContent class.

    public ImageContent(Source source, CacheControl cacheControl)

#### Parameters

`source` Source

  The source of the image.

`cacheControl` CacheControl

  The cache control to be used for the content.

#### Exceptions

ArgumentNullException

  Thrown when the source or cache control is null.

### ImageContent(string, string)

Initializes a new instance of the ImageContent class.

    public ImageContent(string mediaType, string data)

#### Parameters

`mediaType` string

  The media type of the image.

`data` string

  The data of the image.

#### Exceptions

ArgumentNullException

  Thrown when the media type or data is null.

### ImageContent(string, string, CacheControl)

Initializes a new instance of the ImageContent class.

    public ImageContent(string mediaType, string data, CacheControl cacheControl)

#### Parameters

`mediaType` string

  The media type of the image.

`data` string

  The data of the image.

`cacheControl` CacheControl

  The cache control to be used for the content.

#### Exceptions

ArgumentNullException

  Thrown when the media type, data, or cache control is null.

## Properties

### Source

Gets the source of the image.

    public Source Source { get; init; }

#### Property Value

Source